In app notifications

Set All In-App Notifications As Read

Mark all in-app notifications as read for the authenticated customer.

PUT
/nudge/in-app-notifications/read-all

Authorization

bearerAuth
AuthorizationBearer <token>

Customer JWT bearer authentication.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://api.dokaai.com/api/v1/dokaai/nudge/in-app-notifications/read-all" \  -H "Content-Type: application/json" \  -d '{}'
{
  "status": "success",
  "message": "string",
  "data": {
    "success": true
  },
  "metaData": null,
  "error": null
}
{
  "status": "error",
  "message": "string",
  "data": null,
  "metaData": null,
  "error": null
}
{
  "status": "error",
  "message": "string",
  "data": null,
  "metaData": null,
  "error": null
}
{
  "status": "error",
  "message": "string",
  "data": null,
  "metaData": null,
  "error": null
}
{
  "status": "error",
  "message": "string",
  "data": null,
  "metaData": null,
  "error": null
}